Bug 1024375 - Infinispan Query Guide: 3.3.5, 4.1.2, 4.2.1, 5.3.1 Configuration naming issue
Infinispan Query Guide: 3.3.5, 4.1.2, 4.2.1, 5.3.1 Configuration naming issue
Status: CLOSED NOTABUG
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: GA
: 6.2.0
Assigned To: Mandar Joshi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 10:31 EDT by Anna Manukyan
Modified: 2015-08-31 22:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14318, Infinispan Query Guide-6.2-Beta-1 Build Date: 22-10-2013 18:24:19 Topic ID: 20160-478203 [Latest]
Last Closed: 2013-12-06 06:30:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anna Manukyan 2013-10-29 10:31:42 EDT
There is a problem with naming of the indexing configurations. 

In some places it is written like default.<indexname>...., in others "[default|<indexname>].".

This issue appears in the chapters 3.3.5, 4.1.2, 4.2.1, 5.3.1. 

From the hibernate search documentation I can see that it is written: 

Each indexed entity is associated to a Lucene index (an index can be shared by several entities but this is not usually the case). You can configure the index through properties prefixed by hibernate.search.indexname . Default properties inherited to all indexes can be defined using the prefix hibernate.search.default.

To define the directory provider of a given index, you use the hibernate.search.indexname.directory_provider .

So I think in all places it should be replaced with [default|indexname].<....>

And specifically in 5.2. example :

1) 
default.Rules.directory_provider = ram
default.Actions.directory_provider = com.acme.hibernate.CustomDirectoryProvider

the "default." prefix should be removed. 

2) In the description of the same example, it is written 
  "the Action entity specifies a CustomDirectoryProvider using the hibernate.search.Actions.directory_provider. "

but the code is: 
default.Actions.directory_provider = com.acme.hibernate.CustomDirectoryProvider

So should be: 
hibernate.search.Actions.directory_provider = com.acme.hibernate.CustomDirectoryProvider
Comment 2 Anna Manukyan 2013-10-29 11:19:46 EDT
1) The same issue appears in 5.3.3 chapter: 

The 3rd step says:

Pass additional properties using the prefix 

default.directory_provider.<indexname>. 

1) What other properties does this sentence ment? As far as I know with this prefix it is not possible to add more properties.

2) If there are any, anyway I think it should be: 

<indexname>.directory_provider....

2) The same issue appears in 5.4.1, 5.4.2, 5.5.1 chapters - table 5.2, 5.3, 5.5.

The properties in the table are written as:

default.<indexName>.worker.execution - should be [default|indexName].worker.execution .

I have noticed this issue in many chapters. Could you please go through them and fix after clarification with Sanne.
Comment 3 gsheldon 2013-11-01 00:41:40 EDT
Adding Needinfo for Sanne to clarify this issue.
Comment 4 gsheldon 2013-11-27 00:17:50 EST
Changing NEEDINFO to anistor for now.
Comment 5 Misha H. Ali 2013-12-06 01:00:12 EST
These should be fixed now. Please follow up by checking the mentioned sections and comparing with the reported problems. If unsure, check with either:

* Sanne
* Adrian (anistor)
* martin gencur
* vitalii

To see if this issue is fixed and close it NOTABUG if not.

Note You need to log in before you can comment on or make changes to this bug.